Page MenuHomeFreeBSD

Drop non-USES make variables for PHP
ClosedPublic

Authored by brnrd on Apr 8 2018, 12:30 PM.

Details

Summary

Mk/Uses/php.mk was introduced in June 2016 and we still have the
compat variables available for users. This is unneccessary clutter
in the ports framework.

Depends on D15012

All instances of WANT_PHP_*, USE_PHPIZE, USE_PHPEXT, USE_ZENDEXT and USE_PHP_BUILD have been removed from ports with commits earlier today. rP466789 rP466790 rP466792 rP466793 rP466794 rP466796 rP466797 rP466799

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brnrd created this revision.Apr 8 2018, 12:30 PM
brnrd updated this revision to Diff 41261.Apr 8 2018, 12:37 PM

Some more remnants of WANT_PHP_*

tz accepted this revision.Apr 23 2018, 10:46 AM

Looks fine to me! :)

brnrd added a subscriber: antoine.Apr 23 2018, 6:53 PM

@mat or @antoine OK to commit this one?

rene requested changes to this revision.May 4 2018, 7:23 PM
rene added a subscriber: rene.

There are also USE_PHP*_ALT and WANT_PHP*_ALT variables near the end of bsd.sanity.mk, those should be removed too.

But I wonder if the cleanup is too soon, given that there are still warnings for e.g. USE_RC_SUBR

This revision now requires changes to proceed.May 4 2018, 7:23 PM
brnrd updated this revision to Diff 42202.May 6 2018, 9:49 AM

No need for _ALT when knob is UNSUPPORTED

brnrd added a comment.May 6 2018, 9:52 AM
In D15014#322563, @rene wrote:

There are also USE_PHP*_ALT and WANT_PHP*_ALT variables near the end of bsd.sanity.mk, those should be removed too.

Updated the diff.. _ALT doesn't make sense if the knob is UNSUPPORTED

But I wonder if the cleanup is too soon, given that there are still warnings for e.g. USE_RC_SUBR

Not sure what is meant with this... Can you elaborate?

rene added a comment.May 6 2018, 10:39 AM
In D15014#322563, @rene wrote:

There are also USE_PHP*_ALT and WANT_PHP*_ALT variables near the end of bsd.sanity.mk, those should be removed too.

Updated the diff.. _ALT doesn't make sense if the knob is UNSUPPORTED

Thanks!

But I wonder if the cleanup is too soon, given that there are still warnings for e.g. USE_RC_SUBR

Not sure what is meant with this... Can you elaborate?

It could be that third-party software is still using those variables. Perhaps add a note to CHANGES ?

brnrd updated this revision to Diff 42203.May 6 2018, 11:59 AM

Add CHANGES item

rene accepted this revision.May 6 2018, 12:32 PM
This revision is now accepted and ready to land.May 6 2018, 12:32 PM
This revision was automatically updated to reflect the committed changes.